<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Биллинг - Перевод средств');

///Подключаем шапку
$title->GetHeader();
if ($b == false) {
header('location: /');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Биллинг панель </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/billing" rel="v:url" property="v:title">Биллинг</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Перевод средств</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><i class="md-format-list-bulleted"></i> <a href="/billing">Биллинг</a> - Перевод средств</div>';

if ($b['wmr'] != null) {
if (isset($_POST['ok'])) {
$rur = abs((int)$_POST['rur']);
$user = abs((int)$_POST['user']);
$pass = check($_POST['pass']);
$prim = check($_POST['prim']);
if ($user == $b['id']) {
err('Нельзя себе перевести!');
} elseif (empty($prim)) {
err('Введите примечание!');
} elseif (empty($rur)) {
err('Введите сумму!');
} elseif ($b['rur'] < $rur) {
err('У вас недостаточно средств для перевода!');
} elseif ($rur < 1 OR $rur > 8000) {
err('Ошибка! Сумма не должна быть меньше 1 или больше 8 000 Gears.');
} elseif (empty($pass) OR sha1($pass.'gearnet') != $b['pass']) {
err('Пароль введен не верно!');
} else {
DB::$dbs->query("INSERT INTO `billing_perevod` (`user_id`,`id_user`,`suma`,`type`,`prim`) VALUES (?,?,?,?,?)", array($b['id'],$user,$rur,1,$prim));
DB::$dbs->query("UPDATE `blogger` SET `rur` = `rur` - ? WHERE id = ?", [$rur,$b['id']]);
DB::$dbs->query("UPDATE `blogger` SET `rur` = `rur` + ? WHERE id = ?", [$rur,$user]);
$id = DB::$dbs->lastInsertId();
$text = 'Перевод '.$rur.' рyб. для [b]'.user_inf($user, 'nick').'[/b] успешно завершен!';
DB::$dbs->query("INSERT INTO `billing_hist` (`user_id`,`text`,`time`) VALUES (?,?,?)", array($b['id'],$text,time()));
if ($b['id'] != $user) {
jurnal($user,Nick($b['id']).' перевёл вам [b]'.$rur.' руб.[/b]',6);
}
echo '<div class="row text_box">Перевод успешно завершен!</div>';
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
die();
}
}
echo'<div class="row text_box"> Сейчас на вашем счету: <b>'.round($b['rur'], 2).'</b> WMR.</br>
<img src="/assets/images/wmd.gif" alt="" /><a href="inwm.html">Пополнить</a></div>';
echo '<div class="row text_box"><b>Сумма</b><br/><form action="?" method="post"><input class="form-control" name="rur" maxlength="7"/><br />ID юзера: <br/><input type="text" class="form-control" name="user"/><br />Примечание:<br/><textarea class="form-control" rows="3"name="prim"></textarea><br/>Пароль: <br/><input type="password" class="form-control"name="pass"/><br /> <input type="submit" name="ok" class="btn btn-primary" value="Перевести"/></form></div>';
} else err('Заполните WMR кошелек!');
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>